package cn.estsh.i3plus.pojo.andon.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : ANDON_动作
 * @Reference :
 * @Author : hansen.ke
 * @CreateDate : 2019-05-13 9:47
 * @Modify:
 **/
@Data
@Entity
@Table(name="ANDON_ACTION")
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Api("ANDON_动作")
public class AndonAction extends BaseBean {

    @Column(name = "ACTION_CODE")
    @ApiParam(value = "动作代码")
    private String actionCode;

    @Column(name = "ACTION_NAME")
    @ApiParam(value = "动作名称")
    private String actionName;
}
