package cn.estsh.i3plus.pojo.andon.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 安灯通知方式
 * @Reference :
 * @Author : silliter.yuan
 * @CreateDate : 2019-05-10 17:16
 * @Modify:
 **/
@Data
@Entity
@Table(name="ANDON_RESPONSE")
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Api("安灯通知方式")
public class AndonResponse extends BaseBean {

    @Column(name = "RESPONSE_CODE")
    @ApiParam(value = "通知方式代码")
    private String responseCode;

    @Column(name = "RESPONSE_NAME")
    @ApiParam(value = "通知方式名称")
    private String responseName;
}
