package cn.estsh.i3plus.pojo.mes.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :mes客户表
 * @Reference :
 * @Author : crish
 * @CreateDate : 2019-04-22
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="MES_CUSTOMER")
@Api("客户产线代码")
public class MesCustomer extends BaseBean {
    @Column(name="CUSTOMER_CODE")
    @ApiParam("客户代码")
    private String CUSTOMER_CODE;

    @Column(name="CUSTOMER_NAME")
    @ApiParam("客户名称")
    private String CUSTOMER_NAME;

    @Column(name="BRIEF_TEXT")
    @ApiParam("客户简称")
    private String BRIEF_TEXT;

    @Column(name="ADDRESS")
    @ApiParam("客户地址")
    private String ADDRESS;

    @Column(name="CONTACT")
    @ApiParam("客户联系人")
    private String CONTACT;

    @Column(name="TELEPHONE")
    @ApiParam("客户电话")
    private String TELEPHONE;
}
