package cn.estsh.i3plus.pojo.model.wms;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @Description : 任务单模型
 * @Reference :
 * @Author : siliter.yuan
 * @CreateDate : 2019-03-06 15:50
 * @Modify:
 **/
@Data
public class WmsTaskInfoModel implements Serializable {
    @ApiParam("任务单号")
    public String orderNo;

    @ApiParam("关联单号")
    public String refSrc;

    /**
     * 状态:1=创建,10=待处理,20=已处理
     */
    @ApiParam(value = "任务状态")
    public String taskStatus;

    @ApiParam("作业类型名称")
    public String opTypeName;

    @ApiParam(value = "关联单据类型")
    private String refType;
}
