package cn.estsh.i3plus.pojo.mes.pcn.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description:
 * @Reference:
 * @Author: yiming.gu
 * @CreateDate:2019-04-22-17:20
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="MES_PCN")
@Api("PCN节点")
public class MesPcn extends BaseBean {
    @Column(name="PCN_CODE")
    @ApiParam("PCN代码")
    private String pcnCode;

    @Column(name="PCN_NAME")
    @ApiParam("PCN名称")
    private String pcnName;

    @Column(name="AREA_CODE")
    @ApiParam("区域")
    private String areaCode;

    @Column(name="WORK_CENTER_CODE")
    @ApiParam("工作中心")
    private String workCentreCode;

}
